## ghdl 0.35%2Bgit20181129%2Bdfsg

=== src/ortho/mcode/Makefile ===
ortho_srcdir=..
GNATMAKE=gnatmake
GNATFLAGS=-gnaty3befhkmr -gnata -gnatf -gnatwlcru
CC=gcc
BE=mcode
SED=sed

all: $(ortho_exec)

$(ortho_exec): $(ortho_srcdir)/mcode/ortho_mcode.ads memsegs_c.o force
	$(GNATMAKE) -o $@ -g -aI$(ortho_srcdir)/mcode -aI$(ortho_srcdir) \
	-aI$(ortho_srcdir)/.. $(GNATFLAGS) -gnatw.A ortho_code_main \
	-bargs -E -largs memsegs_c.o #-static

memsegs_c.o: $(ortho_srcdir)/mcode/memsegs_c.c
	$(CC) -c $(CFLAGS) -o $@ $<

oread: force
	$(GNATMAKE) -m -o $@ -g $(GNATFLAGS) -aI../oread ortho_code_main -aI.. -largs memsegs_c.o

elfdump: force
	$(GNATMAKE) -m -g $(GNATFLAGS) $@

coffdump: force
	$(GNATMAKE) -m $(GNATFLAGS) $@

clean:
	$(RM) -f *.o *.ali ortho_code_main elfdump
	$(RM) b~*.ad? *~

distclean: clean


force:

.PHONY: force all clean

ORTHO_BASENAME=ortho_mcode
include $(ortho_srcdir)/Makefile.inc

## ghdl 0.35+git20180503+dfsg

=== src/grt/Makefile ===
#  -*- Makefile -*- for the GHDL Run Time library.
#  Copyright (C) 2002, 2003, 2004, 2005 Tristan Gingold
#
#  GHDL is free software; you can redistribute it and/or modify it under
#  the terms of the GNU General Public License as published by the Free
#  Software Foundation; either version 2, or (at your option) any later
#  version.
#
#  GHDL is distributed in the hope that it will be useful, but WITHOUT ANY
#  WARRANTY; without even the implied warranty of MERCHANTABILITY or
#  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
#  for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with GCC; see the file COPYING.  If not, write to the Free
#  Software Foundation, 59 Temple Place - Suite 330, Boston, MA
#  02111-1307, USA.
GRT_FLAGS=-g -O
GRT_ADAFLAGS=-gnatn

ADAC=gcc
CC=gcc
GNATFLAGS=$(CFLAGS) -gnatf -gnaty3befhkmr -gnatwlu
GHDL1=../ghdl1-gcc$(EXEEXT)
GRTSRCDIR=.
GRT_RANLIB=ranlib

INSTALL=install
INSTALL_DATA=$(INSTALL) -m 644

prefix=/usr/local
exec_prefix=$(prefix)
libdir=$(exec_prefix)/lib
grt_libdir=$(libdir)

target:=$(shell $(CC) -dumpmachine)

all: grt-all
install: grt-install
clean: grt-clean
	$(RM) *~

show_target:
	echo "Target is $(target)"

include Makefile.inc


GRT_CFLAGS=$(GRT_FLAGS) -Wall
ghwdump: ghwdump.o ghwlib.o
	$(CC) $(GRT_CFLAGS) -o $@ ghwdump.o ghwlib.o

ghwlib.o: ghwlib.c ghwlib.h
	$(CC) -c $(GRT_CFLAGS) -o $@ $<
ghwdump.o: ghwdump.c ghwlib.h
	$(CC) -c $(GRT_CFLAGS) -o $@ $<

=== src/ortho/debug/Makefile ===
#  -*- Makefile -*- for the ortho-code back-end
#  Copyright (C) 2005 Tristan Gingold
#
#  GHDL is free software; you can redistribute it and/or modify it under
#  the terms of the GNU General Public License as published by the Free
#  Software Foundation; either version 2, or (at your option) any later
#  version.
#
#  GHDL is distributed in the hope that it will be useful, but WITHOUT ANY
#  WARRANTY; without even the implied warranty of MERCHANTABILITY or
#  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
#  for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with GCC; see the file COPYING.  If not, write to the Free
#  Software Foundation, 59 Temple Place - Suite 330, Boston, MA
#  02111-1307, USA.
BE=debug
ortho_srcdir=..

orthobe_srcdir=$(ortho_srcdir)/$(BE)

GNATMAKE=gnatmake
CC=gcc
CFLAGS=-g
ALL_GNAT_FLAGS=-pipe -g -gnato -gnatwaeu -gnatf -gnaty3befhkmr
GNATMAKE_FLAGS=-m $(ALL_GNAT_FLAGS) $(GNAT_FLAGS) -aI$(ortho_srcdir) -aI$(orthobe_srcdir) -aI.
#LARGS=-largs -static
SED=sed

all: $(ortho_exec)


$(ortho_exec): force $(ortho_srcdir)/$(BE)/ortho_debug.ads
	$(GNATMAKE) -o $@ $(GNATMAKE_FLAGS) ortho_debug-main -bargs -E $(LARGS)

clean:
	$(RM) -f *.o *.ali *~ b~*.ad? ortho_nodes-main
	$(RM) ortho_debug.ads

force:

ORTHO_BASENAME=ortho_debug

# Automatically build ortho_debug.ads from ortho_node.common.ads and
# ortho_debug.private.ads
include $(ortho_srcdir)/Makefile.inc

=== src/ortho/gcc/Makefile ===
ortho_srcdir=..
orthobe_srcdir=$(ortho_srcdir)/gcc
ortho_lang_c=ortho-lang-7.c
agcc_objdir=.
agcc_srcdir=$(ortho_srcdir)/gcc
SED=sed
BE=gcc
GNATMAKE=gnatmake
CC=gcc
CXX=g++
COMPILER=$(CXX)
LINKER=$(CXX)

# Modify AGCC_GCCSRC_DIR and AGCC_GCCOBJ_DIR for your environment
AGCC_GCCSRC_DIR:=$(HOME)/Projects/gcc4.9.2/source/gcc-4.9.2/
AGCC_GCCOBJ_DIR:=$(HOME)/Projects/gcc4.9.2/build/

# Supplied by main GCC Makefile, copied here for compatibility with same
GMPLIBS = -L$(AGCC_GCCOBJ_DIR)./gmp/.libs -L$(AGCC_GCCOBJ_DIR)./mpfr/.libs \
  -L$(AGCC_GCCOBJ_DIR)./mpc/src/.libs -lmpc -lmpfr -lgmp
GMPINC = -I$(AGCC_GCCOBJ_DIR)./gmp -I$(AGCC_GCCSRC_DIR)/gmp \
  -I$(AGCC_GCCOBJ_DIR)./mpfr -I$(AGCC_GCCSRC_DIR)/mpfr \
  -I$(AGCC_GCCSRC_DIR)/mpc/src

HOST_LIBS =
ZLIB=-lz

# Override variables in Makefile.conf for your environment
-include $(orthobe_srcdir)/Makefile.conf

all: $(ortho_exec)

ORTHO_BASENAME=ortho_gcc
include $(ortho_srcdir)/Makefile.inc

AGCC_INC_FLAGS=-I$(AGCC_GCCOBJ_DIR)/gcc -I$(AGCC_GCCSRC_DIR)/include \
 -I$(AGCC_GCCSRC_DIR)/gcc -I$(AGCC_GCCSRC_DIR)/gcc/config \
 -I$(AGCC_GCCSRC_DIR)/libcpp/include $(GMPINC)
AGCC_CFLAGS=-DIN_GCC_FRONTEND -Wall -DIN_GCC -DHAVE_CONFIG_H $(AGCC_INC_FLAGS)

ortho-lang.o: $(agcc_srcdir)/$(ortho_lang_c) \
 $(AGCC_GCCOBJ_DIR)gcc/gtype-vhdl.h \
 $(AGCC_GCCOBJ_DIR)gcc/gt-vhdl-ortho-lang.h
	$(COMPILER) -c -o $@ $< $(AGCC_CFLAGS) $(CXXFLAGS) $(INCLUDES)

AGCC_LOCAL_OBJS=ortho-lang.o

AGCC_DEPS := $(AGCC_LOCAL_OBJS)
AGCC_OBJS := $(AGCC_LOCAL_OBJS) \
	$(AGCC_GCCOBJ_DIR)gcc/attribs.o \
	$(AGCC_GCCOBJ_DIR)libcpp/libcpp.a \
	$(AGCC_GCCOBJ_DIR)libiberty/libiberty.a

LIBBACKTRACE = $(AGCC_GCCOBJ_DIR)/libbacktrace/.libs/libbacktrace.a
LIBDECNUMBER = $(AGCC_GCCOBJ_DIR)/libdecnumber/libdecnumber.a
LIBIBERTY = $(AGCC_GCCOBJ_DIR)/libiberty/libiberty.a
CPPLIB= # Not needed for GHDL

BACKEND = $(AGCC_GCCOBJ_DIR)/gcc/libbackend.a \
         $(AGCC_GCCOBJ_DIR)/gcc/libcommon-target.a

BACKENDLIBS = $(CLOOGLIBS) $(GMPLIBS) $(PLUGINLIBS) $(HOST_LIBS) \
	$(ZLIB)
LIBS =  $(AGCC_GCCOBJ_DIR)/gcc/libcommon.a \
        $(CPPLIB) $(LIBINTL) $(LIBICONV) $(LIBBACKTRACE) \
	$(LIBIBERTY) $(LIBDECNUMBER) $(HOST_LIBS)

$(ortho_exec): $(AGCC_DEPS) $(orthobe_srcdir)/ortho_gcc.ads force
	$(GNATMAKE) -o $@ -aI$(ortho_srcdir) \
	 -aI$(ortho_srcdir)/gcc $(GNAT_FLAGS) ortho_gcc-main \
	 -bargs -E -largs --LINK=$(LINKER) $(AGCC_OBJS) \
        $(BACKEND) $(LIBS) $(BACKENDLIBS)

agcc-clean: force
	$(RM) -f $(agcc_objdir)/*.o
	$(RM) -f $(agcc_srcdir)/*~

clean: agcc-clean
	$(RM) -f *.o *.ali ortho_nodes-main
	$(RM) b~*.ad? *~

distclean: clean agcc-clean


force:

.PHONY: force all clean agcc-clean

=== src/ortho/llvm-nodebug/Makefile ===
ortho_srcdir=..
GNAT_FLAGS=-gnaty3befhkmr -gnata -gnatf -gnatwael -gnat05
CXX=clang++
LLVM_CONFIG=llvm-config
GNATMAKE=gnatmake
SED=sed
BE=llvm-nodebug

all: $(ortho_exec)

$(ortho_exec): $(ortho_srcdir)/llvm-nodebug/ortho_llvm.ads force llvm-cbindings.o
	$(GNATMAKE) -o $@ -aI$(ortho_srcdir)/llvm-nodebug -aI$(ortho_srcdir) \
	$(GNAT_FLAGS) ortho_code_main -bargs -E \
	-largs llvm-cbindings.o --LINK=$(CXX) \
	$(LDFLAGS) `$(LLVM_CONFIG) --ldflags --libs --system-libs`

llvm-cbindings.o: $(ortho_srcdir)/llvm-nodebug/llvm-cbindings.cpp
	$(CXX) -c `$(LLVM_CONFIG) --cxxflags` -o $@ $<

clean:
	$(RM) -f *.o *.ali ortho_code_main
	$(RM) b~*.ad? *~

distclean: clean


force:

.PHONY: force all clean

ORTHO_BASENAME=ortho_llvm
include $(ortho_srcdir)/Makefile.inc

=== src/ortho/llvm/Makefile ===
ortho_srcdir=..
GNAT_FLAGS=-gnaty3befhkmr -gnata -gnatf -gnatwael -gnat05
CXX=clang++
LLVM_CONFIG=llvm-config
GNATMAKE=gnatmake
SED=sed
BE=llvm

all: $(ortho_exec)

$(ortho_exec): $(ortho_srcdir)/llvm/ortho_llvm.ads force llvm-cbindings.o
	$(GNATMAKE) -o $@ -aI$(ortho_srcdir)/llvm -aI$(ortho_srcdir) \
	$(GNAT_FLAGS) ortho_code_main -bargs -E \
	-largs llvm-cbindings.o --LINK=$(CXX) \
	$(LDFLAGS) `$(LLVM_CONFIG) --ldflags --libs --system-libs`

llvm-cbindings.o: $(ortho_srcdir)/llvm/llvm-cbindings.cpp
	$(CXX) -c `$(LLVM_CONFIG) --cxxflags` -o $@ $<

clean:
	$(RM) -f *.o *.ali ortho_code_main
	$(RM) b~*.ad? *~

distclean: clean


force:

.PHONY: force all clean

ORTHO_BASENAME=ortho_llvm
include $(ortho_srcdir)/Makefile.inc

=== src/ortho/llvm4-nodebug/Makefile ===
ortho_srcdir=..
GNAT_FLAGS=-gnaty3befhkmr -gnata -gnatf -gnatwael -gnat05
CXX=clang++
LLVM_CONFIG=llvm-config
GNATMAKE=gnatmake
SED=sed
BE=llvm4-nodebug

all: $(ortho_exec)

$(ortho_exec): $(ortho_srcdir)/llvm4-nodebug/ortho_llvm.ads force llvm-cbindings.o
	$(GNATMAKE) -o $@ -aI$(ortho_srcdir)/llvm4-nodebug -aI$(ortho_srcdir) \
	$(GNAT_FLAGS) ortho_code_main -bargs -E \
	-largs llvm-cbindings.o --LINK=$(CXX) \
	$(LDFLAGS) `$(LLVM_CONFIG) --ldflags --libs --system-libs`

llvm-cbindings.o: $(ortho_srcdir)/llvm4-nodebug/llvm-cbindings.cpp
	$(CXX) -c `$(LLVM_CONFIG) --cxxflags` -o $@ $<

clean:
	$(RM) -f *.o *.ali ortho_code_main
	$(RM) b~*.ad? *~

distclean: clean


force:

.PHONY: force all clean

ORTHO_BASENAME=ortho_llvm
include $(ortho_srcdir)/Makefile.inc

=== src/ortho/mcode/Makefile ===
ortho_srcdir=..
GNATMAKE=gnatmake
GNAT_FLAGS=-gnaty3befhkmr -gnata -gnatf -gnatwlcru -gnat05
CC=gcc
BE=mcode
SED=sed

all: $(ortho_exec)

$(ortho_exec): $(ortho_srcdir)/mcode/ortho_mcode.ads memsegs_c.o force
	$(GNATMAKE) -o $@ -g -aI$(ortho_srcdir)/mcode -aI$(ortho_srcdir) \
	-aI$(ortho_srcdir)/.. $(GNAT_FLAGS) -gnatw.A ortho_code_main \
	-bargs -E -largs memsegs_c.o #-static

memsegs_c.o: $(ortho_srcdir)/mcode/memsegs_c.c
	$(CC) -c $(CFLAGS) -o $@ $<

oread: force
	gnatmake -m -o $@ -g $(GNAT_FLAGS) -aI../oread ortho_code_main -aI.. -largs memsegs_c.o

elfdump: force
	gnatmake -m -g $(GNAT_FLAGS) $@

coffdump: force
	gnatmake -m $(GNAT_FLAGS) $@

clean:
	$(RM) -f *.o *.ali ortho_code_main elfdump
	$(RM) b~*.ad? *~

distclean: clean


force:

.PHONY: force all clean

ORTHO_BASENAME=ortho_mcode
include $(ortho_srcdir)/Makefile.inc

=== src/vhdl/translate/Makefile ===
#  -*- Makefile -*- for the GHDL translation back-end.
#  Copyright (C) 2002, 2003, 2004, 2005 Tristan Gingold
#
#  GHDL is free software; you can redistribute it and/or modify it under
#  the terms of the GNU General Public License as published by the Free
#  Software Foundation; either version 2, or (at your option) any later
#  version.
#
#  GHDL is distributed in the hope that it will be useful, but WITHOUT ANY
#  WARRANTY; without even the implied warranty of MERCHANTABILITY or
#  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
#  for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with GCC; see the file COPYING.  If not, write to the Free
#  Software Foundation, 59 Temple Place - Suite 330, Boston, MA
#  02111-1307, USA.

BE=gcc
ortho_srcdir=../ortho
GNAT_FLAGS=-aI.. -aI../psl -gnaty3befhkmr -gnata -gnatf -gnatwael -gnat05
#GNAT_FLAGS+=-O -gnatn
LN=ln -s

compiler: force # ortho_nodes.ads ortho_$(BE)_front.ads
	$(MAKE) -f $(ortho_srcdir)/$(BE)/Makefile \
	 ortho_srcdir=$(ortho_srcdir) GNAT_FLAGS="$(GNAT_FLAGS)" \
	 ortho_exec=ghdl1-$(BE) all

all:
	[ -d lib ] || mkdir lib
	$(MAKE) -f $(ortho_srcdir)/gcc/Makefile \
	 ortho_srcdir=$(ortho_srcdir) GNAT_FLAGS="$(GNAT_FLAGS)" \
	 ortho_exec=ghdl1-gcc all
	$(MAKE) -C ghdldrv
	$(MAKE) -C grt all libdir=`pwd`/lib
	$(MAKE) -C ghdldrv install.v87 install.v93 install.standard

clean:
	$(RM) *.o *.ali ghdl1-* gen_tree ortho_nodes-main b~*.ad?
	$(RM) *~ ortho_nodes.ads ortho_nodes.tmp

force:

.PHONY: compiler clean force all

=== debian/changelog ===
ghdl (0.35+git20180503+dfsg-2) unstable; urgency=medium

  * Fix disabling mcode backend building on non-x86

 -- Andreas Bombe <aeb@debian.org>  Mon, 06 Aug 2018 15:42:10 +0800

ghdl (0.35+git20180503+dfsg-1) unstable; urgency=medium

  * Reintroduce ghdl package with upstream git commit v0.35-168-g252a9169
    (Closes: #880942)
  * Redo most of the packaging to adapt to significant upstream changes
  * ghdl now offers different compiler backends, offer them all in
    co-installable packages ghdl-gcc, ghdl-mcode and ghdl-llvm
  * Add build profiles to skip building any of the backends
  * New /usr/bin/ghdl wrapper script that executes an installed ghdl backend
    variant depending on an environment variable or automatic selection
  * Rewrite debian/copyright, change to machine-readable format
  * Change debian/watch to current upstream on GitHub
  * Change source format to 3.0 (quilt)
  * Change Vcs-* fields in debian/control to point to new location

 -- Andreas Bombe <aeb@debian.org>  Sat, 04 Aug 2018 03:24:44 +0800

ghdl (0.29+gcc4.3.4+dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS on multiarch systems. (Closes: #635923)
  * Don't build the package twice.
  * Whole changes have been merged from Ubuntu.

 -- Artur Rona <ari-tczew@tlen.pl>  Sat, 05 May 2012 23:04:42 +0200

ghdl (0.29+gcc4.3.4+dfsg-1) unstable; urgency=low

  * New upstream release (closes: #548004)
  * Updated to policy 3.8.3
  * Now using gcc-4.3.4
  * Now building with gnat-4.4

 -- Wesley J. Landaker <wjl@icecavern.net>  Sun, 24 Jan 2010 16:09:58 -0700

ghdl (0.27+svn110+gcc4.3.3+dfsg-1) unstable; urgency=low

  * Now using gcc-4.3.3
  * Updated copyright information
  * Added Vcs-Git information
  * Updated to policy 3.8.1 

 -- Wesley J. Landaker <wjl@icecavern.net>  Thu, 02 Apr 2009 21:23:07 -0600

ghdl (0.27+svn110+gcc4.3.2~dfsg-3) unstable; urgency=low

  * Ensure that gnatbind uses the correct CC, not cc
  * Added Vcs-Bzr information

 -- Wesley J. Landaker <wjl@icecavern.net>  Wed, 05 Nov 2008 16:13:37 -0700

ghdl (0.27+svn110+gcc4.3.2~dfsg-2) unstable; urgency=low

  * Moving to unstable.
  * Updated to policy 3.8.0

 -- Wesley J. Landaker <wjl@icecavern.net>  Sun, 02 Nov 2008 19:45:31 -0700

ghdl (0.27+svn110+gcc4.3.2~dfsg-1) experimental; urgency=low

  * New upstream release (0.27)
  * Upstream patched to svn110
  * Now using gcc-4.3.2
  * Added newly necessary libgmp3-dev and libmpfr-dev to build-depends.

 -- Wesley J. Landaker <wjl@icecavern.net>  Sun, 02 Nov 2008 16:41:28 -0700

ghdl (0.26+svn98+gcc4.1.2~dfsg-1) unstable; urgency=low

  * Upstream patched to svn98
  * Fix lintian warnings about harmless empty directories.
  * Fix dependency; seems like gnat-4.3 is needed after all.

 -- Wesley J. Landaker <wjl@icecavern.net>  Mon, 02 Jun 2008 17:01:11 -0600

ghdl (0.26+svn94+gcc4.1.2~dfsg-2) unstable; urgency=low

  * Force *FLAGS environment passed to make to override the messed up
    dpkg-buildpackage environment that causes compile failures.

 -- Wesley J. Landaker <wjl@icecavern.net>  Sat, 17 May 2008 12:51:39 -0600

ghdl (0.26+svn94+gcc4.1.2~dfsg-1) unstable; urgency=low

  * Upstream patched to svn94
  * Reworked package build quite a bit; special thanks to Fedora maintainer
    Thomas Sailer <t.sailer@alumni.ethz.ch> for some ideas
  * Finally building with gnat-4.3 (closes: #478032)
  * Revamped package structure and build system

 -- Wesley J. Landaker <wjl@icecavern.net>  Sat, 17 May 2008 11:14:19 -0600

ghdl (0.26+gcc4.1.2~dfsg-4) unstable; urgency=low

  * Fix hosed package generation.

 -- Wesley J. Landaker <wjl@icecavern.net>  Thu, 15 May 2008 18:36:42 -0600

ghdl (0.26+gcc4.1.2~dfsg-3) unstable; urgency=low

  * Reverting back to gnat-4.1, because gnat-4.2 is being removed and
    gnat-4.3 doesn't yet work for building (closes: #478032)
  * Dropped ivi suggestion, as it is obsolete and not in Debian anymore 

 -- Wesley J. Landaker <wjl@icecavern.net>  Thu, 15 May 2008 17:39:18 -0600

ghdl (0.26+gcc4.1.2~dfsg-2) unstable; urgency=low

  * Now building with gnat-4.2.

 -- Wesley J. Landaker <wjl@icecavern.net>  Sun, 12 Aug 2007 10:02:56 -0600

ghdl (0.26+gcc4.1.2~dfsg-1) unstable; urgency=low

  * New upstream release (closes: #413088)
  * Using DFSGized gcc4.1.2 tarball (closes: #392949)
  * Specifically note copyright status of standard headers (closes: #403621)

 -- Wesley J. Landaker <wjl@icecavern.net>  Thu, 12 Apr 2007 18:43:56 -0600

ghdl (0.25+gcc4.1.1-1) unstable; urgency=low

  * New upstream release
  * Now using dpatch

 -- Wesley J. Landaker <wjl@icecavern.net>  Mon, 14 Aug 2006 09:35:06 -0600

ghdl (0.24+gcc4.1.1-1) unstable; urgency=low

  * New upstream release
  * Removed ortho-lang amd64 patch (integrated upstream)
  * Upstream now includes its own manpage; use that instead

 -- Wesley J. Landaker <wjl@icecavern.net>  Sat,  8 Jul 2006 08:45:09 -0600

ghdl (0.23+gcc4.1.1-1) unstable; urgency=medium

  * New upstream release, plus patch from author (closes: #360382)
  * Using gcc-core-4.1.1
  * Building with gnat-4.1
  * Moved to Standards-Version 3.7.2; no changes required

 -- Wesley J. Landaker <wjl@icecavern.net>  Tue, 13 Jun 2006 17:12:56 -0600

ghdl (0.22-1) unstable; urgency=low

  * New upstream release
  * Fixed typo in manpage (closes: #350162)
    * Thanks to Nicolas François <nicolas.francois@centraliens.net>
  * Added texinfo and zlib1g-dev to build-depends.

 -- Wesley J. Landaker <wjl@icecavern.net>  Sat,  1 Apr 2006 09:20:06 -0700

ghdl (0.21-1) unstable; urgency=low

  * The "it-finally-works-on-my-amd64-computer-woohoo!" release.
  * New upstream release (closes: #338427)
  * Disable multilib and mudflap (closes: #276399)
  * Added dependency on zlib1g-dev (closes: #341330)
  * Fixed up debian/rules to use stamp files more cleanly
  * Removed some now-unnecessary patches, applied upstream

 -- Wesley J. Landaker <wjl@icecavern.net>  Sat, 31 Dec 2005 09:39:10 -0700

ghdl (0.20-1) unstable; urgency=low



=== debian/control ===
Source: ghdl
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders: Andreas Bombe <aeb@debian.org>
Build-Depends: debhelper (>= 11),
               gnat-7,
               gcc-7-source <!pkg.ghdl.nogcc>,
               libisl-dev (>= 0.14) <!pkg.ghdl.nogcc>,
               libmpc-dev (>= 1.0) <!pkg.ghdl.nogcc>,
               libmpfr-dev (>= 3.0.0-9~) <!pkg.ghdl.nogcc>,
               libgmp-dev (>= 2:5.0.1~) <!pkg.ghdl.nogcc>,
               llvm-dev (>= 1:3.5) <!pkg.ghdl.nollvm>,
               llvm-dev (<< 1:7.0~) <!pkg.ghdl.nollvm>,
               clang (>= 1:3.5) <!pkg.ghdl.nollvm>,
               clang (<< 1:7.0~) <!pkg.ghdl.nollvm>,
               zlib1g-dev
Standards-Version: 4.2.0
Homepage: https://github.com/ghdl/ghdl
Vcs-Browser: https://salsa.debian.org/electronics-team/ghdl/ghdl
Vcs-Git: https://salsa.debian.org/electronics-team/ghdl/ghdl.git

Package: ghdl
Architecture: any
Depends: ghdl-mcode | ghdl-gcc | ghdl-llvm, ${misc:Depends}
Suggests: gtkwave
Description: VHDL compiler/simulator
 GHDL is a compiler and simulator for VHDL, a Hardware Description Language.
 GHDL is not an interpreter: it allows you to analyse and elaborate sources to
 generate machine code from your design. Native program execution is the only
 way for high speed simulation.
 .
 GHDL offers three machine code generation backends: one based on GCC, one
 using the LLVM compiler suite and a GHDL specific one called mcode. These are
 available in the ghdl-gcc, ghdl-llvm and ghdl-mcode packages respectively.
 Both the GCC and LLVM backends create highly optimized code for excellent
 simulation performance while simulations compiled with the GCC backend also
 allow coverage testing using gcov. The mcode backend creates less performant
 code but makes up for it with much faster compilation. It is therefore
 preferable for smaller projects without large or long running simulations.
 .
 Multiple backends can be installed at the same time and selected by either
 invoking the desired GHDL directly (as ghdl-gcc, ghdl-llvm or ghdl-mcode) or
 by providing a GHDL_BACKEND environment variable (containing gcc, llvm or
 mcode) while invoking ghdl.
 .
 This package contains the common files for all backends and requires at least
 one backend to be installed.

Package: ghdl-mcode
Architecture: any-i386 any-amd64
Build-Profiles: <!pkg.ghdl.nomcode>
Depends: ghdl (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: VHDL compiler/simulator (mcode backend)
 GHDL is a compiler and simulator for VHDL, a Hardware Description Language.
 GHDL is not an interpreter: it allows you to analyse and elaborate sources to
 generate machine code from your design. Native program execution is the only
 way for high speed simulation.
 .
 This package contains the compiler with the mcode backend.

Package: ghdl-gcc
Architecture: any
Build-Profiles: <!pkg.ghdl.nogcc>
Depends: ghdl (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: VHDL compiler/simulator (GCC backend)
 GHDL is a compiler and simulator for VHDL, a Hardware Description Language.
 GHDL is not an interpreter: it allows you to analyse and elaborate sources to
 generate machine code from your design. Native program execution is the only
 way for high speed simulation.
 .
 This package contains the compiler with the GCC backend.

Package: ghdl-llvm
Architecture: any
Build-Profiles: <!pkg.ghdl.nollvm>
Depends: ghdl (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: VHDL compiler/simulator (LLVM backend)
 GHDL is a compiler and simulator for VHDL, a Hardware Description Language.
 GHDL is not an interpreter: it allows you to analyse and elaborate sources to
 generate machine code from your design. Native program execution is the only
 way for high speed simulation.
 .
 This package contains the compiler with the LLVM backend.

=== debian/rules ===
#!/usr/bin/make -f

# Currently gcc can not be compiled with format-security and it is not needed
# for Ada code anyway
export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-format

#export DH_VERBOSE = 1

include /usr/share/dpkg/default.mk
include /usr/share/ada/debian_packaging-7.mk

# This variable is used in Makefile.in to adjust src/version.in
export PKG_VERSION := $(DEB_VENDOR) $(DEB_VERSION)

# These variables are used to find and unpack the gcc source
GCC_DIR := /usr/src/gcc-7
GCC_VER := 7
VER_GCC := 7.3.0-dfsg

# Get parallel option to parallelize the gcc build specifically (Ada builds
# are already parallelized by code included from debian_packaging-*.mk above).
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    MAKEPARALLEL = -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

# build profile control over what backends get built
ifeq ($(filter pkg.ghdl.nomcode,$(DEB_BUILD_PROFILES)),)
    WITH_MCODE := 1
endif
ifeq ($(filter pkg.ghdl.nogcc,$(DEB_BUILD_PROFILES)),)
    WITH_GCC   := 1
endif
ifeq ($(filter pkg.ghdl.nollvm,$(DEB_BUILD_PROFILES)),)
    WITH_LLVM  := 1
endif

# force disable mcode build on non-x86 architectures where it isn't supported
ifeq ($(filter amd64 i386,$(DEB_HOST_ARCH_CPU)),)
    WITH_MCODE :=
endif

BUILDDIR := $(CURDIR)/builddir
CC := gnatgcc
export CC


%:
	dh ${@}

override_dh_missing:
	dh_missing --list-missing

override_dh_auto_configure:
	mkdir -p $(BUILDDIR)/mcode $(BUILDDIR)/llvm $(BUILDDIR)/gcc
	@echo
	@echo ------------------------------------------------------------
	@echo Configuring with mcode backend
	@echo ------------------------------------------------------------
	if [ -n "$(WITH_MCODE)" ]; then \
		cd $(BUILDDIR)/mcode; \
		../../configure --srcdir=../.. --prefix=/usr \
			--libdir=lib/ghdl/mcode --incdir=lib/ghdl/include \
			--enable-openieee; \
	fi
	@echo
	@echo ------------------------------------------------------------
	@echo Configuring with llvm backend
	@echo ------------------------------------------------------------
	if [ -n "$(WITH_LLVM)" ]; then \
		cd $(BUILDDIR)/llvm; \
		../../configure --srcdir=../.. --prefix=/usr \
			--libdir=lib/ghdl/llvm --incdir=lib/ghdl/include \
			--enable-openieee --with-llvm-config; \
	fi
	@echo
	@echo ------------------------------------------------------------
	@echo Configuring with gcc backend
	@echo ------------------------------------------------------------
	# gcc unpack sequence cribbed from gcc-7-cross debian/rules
	if [ -n "$(WITH_GCC)" ]; then \
		cd $(BUILDDIR)/gcc; \
		ln -sf ${GCC_DIR}/gcc-${VER_GCC}.tar.xz gcc-${VER_GCC}.tar.xz; \
		cp -a  ${GCC_DIR}/debian/ .; \
		if [ -n "$$(grep -v '^\#' ${CURDIR}/debian/patches/gcc-${GCC_VER}/series)" ]; then \
			QUILT_PATCHES=${CURDIR}/debian/patches/gcc-${GCC_VER} quilt push --quiltrc /dev/null -a; \
		fi; \
		debian/rules patch; \
		../../configure --srcdir=../.. --prefix=/usr \
			--libdir=lib/ghdl/gcc --incdir=lib/ghdl/include \
			--enable-openieee --with-gcc=src; \
		make copy-sources; \
		mkdir gccbuild; \
		cd gccbuild; \
		../src/configure --prefix=/usr/lib/ghdl/gcc --enable-languages=vhdl \
			--enable-default-pie \
			--disable-bootstrap --disable-lto --disable-multilib \
			--disable-libssp --disable-libgomp --disable-libquadmath \
			--with-system-zlib --without-isl; \
	fi

override_dh_auto_build:
	@echo
	@echo ------------------------------------------------------------
	@echo Building with mcode backend
	@echo ------------------------------------------------------------
	if [ -n "$(WITH_MCODE)" ]; then \
		$(MAKE) -C $(BUILDDIR)/mcode; \
	fi
	@echo
	@echo ------------------------------------------------------------
	@echo Building with llvm backend
	@echo ------------------------------------------------------------
	if [ -n "$(WITH_LLVM)" ]; then \
		$(MAKE) -C $(BUILDDIR)/llvm; \
	fi
	@echo
	@echo ------------------------------------------------------------
	@echo Building with gcc backend
	@echo ------------------------------------------------------------
	if [ -n "$(WITH_GCC)" ]; then \
		$(MAKE) $(MAKEPARALLEL) -C $(BUILDDIR)/gcc/gccbuild; \
		$(MAKE) -C $(BUILDDIR)/gcc lib/ghdl/gcc/libgrt.a all.vpi; \
		$(MAKE) -C $(BUILDDIR)/gcc ghdllib \
			GHDL_GCC_BIN=$(BUILDDIR)/gcc/gccbuild/gcc/ghdl \
			GHDL1_GCC_BIN="--GHDL1=$(BUILDDIR)/gcc/gccbuild/gcc/ghdl1"; \
	fi

override_dh_auto_install:
	install -pD debian/ghdl.wrapper $(CURDIR)/debian/tmp/usr/bin/ghdl
	@echo
	@echo ------------------------------------------------------------
	@echo Installing with mcode backend
	@echo ------------------------------------------------------------
	if [ -n "$(WITH_MCODE)" ]; then \
		$(MAKE) -C $(BUILDDIR)/mcode install DESTDIR=../../debian/tmp; \
	fi
	@echo
	@echo ------------------------------------------------------------
	@echo Installing with llvm backend
	@echo ------------------------------------------------------------
	if [ -n "$(WITH_LLVM)" ]; then \
		$(MAKE) -C $(BUILDDIR)/llvm install DESTDIR=../../debian/tmp; \
	fi
	@echo
	@echo ------------------------------------------------------------
	@echo Installing with gcc backend
	@echo ------------------------------------------------------------
	if [ -n "$(WITH_GCC)" ]; then \
		$(MAKE) -C $(BUILDDIR)/gcc/gccbuild install \
			DESTDIR=$(CURDIR)/debian/tmp; \
		$(MAKE) -C $(BUILDDIR)/gcc install DESTDIR=$(CURDIR)/debian/tmp; \
		mv debian/tmp/usr/lib/ghdl/gcc/bin/ghdl-gcc debian/tmp/usr/bin/ghdl-gcc; \
		mv debian/tmp/usr/lib/ghdl/gcc/lib/ghdl/libbacktrace.a debian/tmp/usr/lib/ghdl/gcc/vhdl/libbacktrace.a; \
	fi
	@echo
	@echo ------------------------------------------------------------
	@echo Moving parts to required locations
	@echo ------------------------------------------------------------
	if [ -n "$(WITH_MCODE)" ]; then \
		$(RM) -r debian/tmp/usr/lib/ghdl/src; \
		mv debian/tmp/usr/lib/ghdl/mcode/vhdl/src debian/tmp/usr/lib/ghdl; \
		ln -s ../../src debian/tmp/usr/lib/ghdl/mcode/vhdl/src; \
	fi
	if [ -n "$(WITH_LLVM)" ]; then \
		$(RM) -r debian/tmp/usr/lib/ghdl/src; \
		mv debian/tmp/usr/lib/ghdl/llvm/vhdl/src debian/tmp/usr/lib/ghdl; \
		ln -s ../../src debian/tmp/usr/lib/ghdl/llvm/vhdl/src; \
	fi
	if [ -n "$(WITH_GCC)" ]; then \
		$(RM) -r debian/tmp/usr/lib/ghdl/src; \
		mv debian/tmp/usr/lib/ghdl/gcc/vhdl/src debian/tmp/usr/lib/ghdl; \
		ln -s ../../src debian/tmp/usr/lib/ghdl/gcc/vhdl/src; \
	fi

## ghdl 0.35+git20181129+dfsg

=== doc/Makefile ===
SRCS= \
conf.py ../src/version.in \
prolog.inc shields.inc shieldswho.inc \
about.rst \
appendix/Meta.rst appendix/Roadmap.rst \
building/Building.rst \
building/Directories.rst \
building/gcc/GNULinux-GNAT.rst \
building/gcc/index.rst \
building/gcc/Windows-MinGW-GNAT.rst \
building/llvm/GNULinux-GNAT.rst \
building/llvm/index.rst \
building/llvm/Windows-MinGW-GNAT.rst \
building/mcode/GNULinux-GNAT.rst \
building/mcode/index.rst \
building/mcode/Windows-GNATGPL.rst \
building/mcode/Windows-MinGW-GNAT.rst \
building/PrecompileVendorPrimitives.rst \
contribute.rst \
genindex.rst \
getting/Releases.rst \
index.rst \
licenses.rst \
references/CodingStyle.rst \
references/CommandReference.rst \
references/ImplementationOfVHDL.rst \
references/ImplementationOfVITAL.rst \
using/InvokingGHDL.rst \
using/QuickStartGuide.rst \
using/Simulation.rst

CP=cp

# Sphinx options.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

all: ghdl.info

info: ghdl.info
ghdl.info: ghdl.texi
	makeinfo -o $@ $<

dvi: ghdl.dvi
ghdl.dvi: ghdl.texi
	texi2dvi $<

ghdl.ps: ghdl.dvi
	dvips $<

pdf: ghdl.pdf
ghdl.pdf: ghdl.dvi
	dvipdf $<

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html

texi: ghdl.texi
ghdl.texi: $(SRCS)
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	$(CP) $(BUILDDIR)/texinfo/GHDL.texi $@

clean:
	$(RM) *~ *.dvi *.info ghdl.aux ghdl.cp ghdl.fn ghdl.ky ghdl.log
	$(RM) ghdl.pdf ghdl.pg ghdl.toc ghdl.tp ghdl.vr
	$(RM) -rf build

maintainer-clean: clean
	$(RM) ghdl.texi

=== doc/requirements.txt ===
#-r ../requirements.txt
sphinx>=1.5.2
recommonmark
# sphinxcontrib-textstyle>=0.2.1
# sphinxcontrib-spelling>=2.2.0
# changelog>=0.3.5

=== src/psl/Makefile ===
#  Copyright (C) 2002 - 2015 Tristan Gingold
#
#  GHDL is free software; you can redistribute it and/or modify it under
#  the terms of the GNU General Public License as published by the Free
#  Software Foundation; either version 2, or (at your option) any later
#  version.
#
#  GHDL is distributed in the hope that it will be useful, but WITHOUT ANY
#  WARRANTY; without even the implied warranty of MERCHANTABILITY or
#  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
#  for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with GCC; see the file COPYING.  If not, write to the Free
#  Software Foundation, 59 Temple Place - Suite 330, Boston, MA
#  02111-1307, USA.

# Some files are automatically generated using pnodes.py
# This Makefile can be used to regenerate these files.  Generated files must
# be committed and distribued with the sources, so that users don't need to
# regenerate them (and don't need to have python installed).

PNODES=../xtools/pnodes.py

DEPS=psl-nodes.ads psl-nodes.adb.in $(PNODES)

PNODES_FLAGS=--field-file=psl-nodes.adb.in --kind-file=psl-nodes.ads --node-file=psl-nodes.ads --template-file=psl-nodes.adb.in --meta-basename=psl-nodes_meta --kind-type=Nkind --kind-prefix=N_ --node-type=Node

GEN_FILES=psl-nodes.adb psl-nodes_meta.ads psl-nodes_meta.adb

all: $(GEN_FILES)

psl-nodes.adb: psl-nodes.adb.in $(DEPS)
	$(RM) $@
	$(PNODES) $(PNODES_FLAGS) body > $@
	chmod -w $@

psl-nodes_meta.ads: psl-nodes_meta.ads.in $(DEPS)
	$(RM) $@
	$(PNODES) $(PNODES_FLAGS) meta_specs > $@
	chmod -w $@

psl-nodes_meta.adb: psl-nodes_meta.adb.in $(DEPS)
	$(RM) $@
	$(PNODES) $(PNODES_FLAGS) meta_body > $@
	chmod -w $@

clean:
	$(RM) -f $(GEN_FILES)

=== src/vhdl/Makefile ===
#  Copyright (C) 2002 - 2015 Tristan Gingold
#
#  GHDL is free software; you can redistribute it and/or modify it under
#  the terms of the GNU General Public License as published by the Free
#  Software Foundation; either version 2, or (at your option) any later
#  version.
#
#  GHDL is distributed in the hope that it will be useful, but WITHOUT ANY
#  WARRANTY; without even the implied warranty of MERCHANTABILITY or
#  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
#  for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with GCC; see the file COPYING.  If not, write to the Free
#  Software Foundation, 59 Temple Place - Suite 330, Boston, MA
#  02111-1307, USA.

# Some files are automatically generated using pnodes.py
# This Makefile can be used to regenerate these files.  Generated files must
# be committed and distribued with the sources, so that users don't need to
# regenerate them (and don't need to have python installed).

PNODES=../xtools/pnodes.py
PNODESPY=python/pnodespy.py

DEPS=iirs.ads nodes.ads $(PNODES)

GEN_FILES=iirs.adb nodes_meta.ads nodes_meta.adb \
  elocations.adb elocations_meta.ads elocations_meta.adb \
  python/libghdl/iirs.py python/libghdl/nodes_meta.py \
  python/libghdl/std_names.py python/libghdl/tokens.py \
  python/libghdl/elocations.py

ELOCATIONS_FLAGS=--node-file=elocations.ads --field-file=elocations.adb.in \
  --template-file=elocations.adb.in --meta-basename=elocations_meta

all: $(GEN_FILES)

iirs.adb: iirs.adb.in $(DEPS)
	$(RM) $@
	$(PNODES) body > $@
	chmod -w $@

nodes_meta.ads: nodes_meta.ads.in $(DEPS)
	$(RM) $@
	$(PNODES) meta_specs > $@
	chmod -w $@

nodes_meta.adb: nodes_meta.adb.in $(DEPS)
	$(RM) $@
	$(PNODES) meta_body > $@
	chmod -w $@

elocations.adb: elocations.adb.in elocations.ads $(DEPS)
	$(RM) $@
	$(PNODES) $(ELOCATIONS_FLAGS) body > $@
	chmod -w $@

elocations_meta.ads: elocations_meta.ads.in elocations.ads $(DEPS)
	$(RM) $@
	$(PNODES) $(ELOCATIONS_FLAGS) meta_specs > $@
	chmod -w $@

elocations_meta.adb: elocations_meta.adb.in elocations.ads $(DEPS)
	$(RM) $@
	$(PNODES) $(ELOCATIONS_FLAGS) meta_body > $@
	chmod -w $@

python/libghdl/iirs.py: $(DEPS) $(PNODESPY)
	$(RM) $@
	$(PNODESPY) libghdl-iirs > $@
	chmod -w $@

python/libghdl/nodes_meta.py: $(DEPS) $(PNODESPY)
	$(RM) $@
	$(PNODESPY) libghdl-meta > $@
	chmod -w $@

python/libghdl/std_names.py: $(PNODESPY) ../std_names.ads
	$(RM) $@
	$(PNODESPY) libghdl-names > $@
	chmod -w $@

python/libghdl/tokens.py: $(PNODESPY) tokens.ads
	$(RM) $@
	$(PNODESPY) libghdl-tokens > $@
	chmod -w $@

python/libghdl/elocations.py: $(PNODESPY) elocations.ads
	$(RM) $@
	$(PNODESPY) $(ELOCATIONS_FLAGS) libghdl-elocs > $@
	chmod -w $@

clean:
	$(RM) -f $(GEN_FILES)

=== src/ortho/llvm/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 ortho_srcdir=..
-GNAT_FLAGS=-gnaty3befhkmr -gnata -gnatf -gnatwael -gnat05
+GNATFLAGS=-gnaty3befhkmr -gnata -gnatf -gnatwael
 CXX=clang++
 LLVM_CONFIG=llvm-config
 GNATMAKE=gnatmake
@@ -10,7 +10,7 @@
 
 $(ortho_exec): $(ortho_srcdir)/llvm/ortho_llvm.ads force llvm-cbindings.o
 	$(GNATMAKE) -o $@ -aI$(ortho_srcdir)/llvm -aI$(ortho_srcdir) \
-	$(GNAT_FLAGS) ortho_code_main -bargs -E \
+	$(GNATFLAGS) ortho_code_main -bargs -E \
 	-largs llvm-cbindings.o --LINK=$(CXX) \
 	$(LDFLAGS) `$(LLVM_CONFIG) --ldflags --libs --system-libs`

=== src/ortho/llvm4-nodebug/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 ortho_srcdir=..
-GNAT_FLAGS=-gnaty3befhkmr -gnata -gnatf -gnatwael -gnat05
+GNATFLAGS=-gnaty3befhkmr -gnata -gnatf -gnatwael
 CXX=clang++
 LLVM_CONFIG=llvm-config
 GNATMAKE=gnatmake
@@ -10,7 +10,7 @@
 
 $(ortho_exec): $(ortho_srcdir)/llvm4-nodebug/ortho_llvm.ads force llvm-cbindings.o
 	$(GNATMAKE) -o $@ -aI$(ortho_srcdir)/llvm4-nodebug -aI$(ortho_srcdir) \
-	$(GNAT_FLAGS) ortho_code_main -bargs -E \
+	$(GNATFLAGS) ortho_code_main -bargs -E \
 	-largs llvm-cbindings.o --LINK=$(CXX) \
 	$(LDFLAGS) `$(LLVM_CONFIG) --ldflags --libs --system-libs`

=== debian/changelog ===
ghdl (0.35+git20181129+dfsg-3) unstable; urgency=medium

  * Team upload.

  [ Matthias Klose ]
  * Don't hardcode the gcc tarball name (Closes: #916412)

  [ Jonathan McDowell ]
  * Set Rules-Requires-Root to no
  * Remove debian/source/options - xz is now the default

  [ Frédéric Bonnard ]
  * Fix FTBFS on ppc64* (Closes: #907170)

 -- Jonathan McDowell <noodles@earth.li>  Fri, 22 Feb 2019 15:36:23 +0000

ghdl (0.35+git20181129+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Update debian/copyright to cover additional source files

 -- Jonathan McDowell <noodles@earth.li>  Thu, 13 Dec 2018 22:39:47 +0000

ghdl (0.35+git20181129+dfsg-1) unstable; urgency=medium

  * New upstream release
    * Refresh modify-install-paths
    * Allow builds with LLVM 7+ (Closes: #912564)
  * Switch to GCC 8 (Closes: #915734)
  * Add dependency on zlib1g-dev for gcc and LLVM backends (Closes: #913945)

 -- Jonathan McDowell <noodles@earth.li>  Tue, 11 Dec 2018 20:16:23 +0000

=== debian/control ===
--- 
+++ 
@@ -4,25 +4,28 @@
 Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
 Uploaders: Andreas Bombe <aeb@debian.org>
 Build-Depends: debhelper (>= 11),
-               gnat-7,
-               gcc-7-source <!pkg.ghdl.nogcc>,
+               gnat-8,
+               gcc-8-source <!pkg.ghdl.nogcc>,
                libisl-dev (>= 0.14) <!pkg.ghdl.nogcc>,
                libmpc-dev (>= 1.0) <!pkg.ghdl.nogcc>,
                libmpfr-dev (>= 3.0.0-9~) <!pkg.ghdl.nogcc>,
                libgmp-dev (>= 2:5.0.1~) <!pkg.ghdl.nogcc>,
                llvm-dev (>= 1:3.5) <!pkg.ghdl.nollvm>,
-               llvm-dev (<< 1:7.0~) <!pkg.ghdl.nollvm>,
                clang (>= 1:3.5) <!pkg.ghdl.nollvm>,
-               clang (<< 1:7.0~) <!pkg.ghdl.nollvm>,
                zlib1g-dev
 Standards-Version: 4.2.0
 Homepage: https://github.com/ghdl/ghdl
 Vcs-Browser: https://salsa.debian.org/electronics-team/ghdl/ghdl
 Vcs-Git: https://salsa.debian.org/electronics-team/ghdl/ghdl.git
+Rules-Requires-Root: no
 
 Package: ghdl
 Architecture: any
-Depends: ghdl-mcode | ghdl-gcc | ghdl-llvm, ${misc:Depends}
+Multi-Arch: same
+Depends: ghdl-mcode [any-i386 any-amd64] <!pkg.ghdl.nomcode>
+         | ghdl-gcc <!pkg.ghdl.nogcc>
+         | ghdl-llvm <!pkg.ghdl.nollvm>,
+         ${misc:Depends}
 Suggests: gtkwave
 Description: VHDL compiler/simulator
  GHDL is a compiler and simulator for VHDL, a Hardware Description Language.
@@ -62,7 +65,8 @@
 Package: ghdl-gcc
 Architecture: any
 Build-Profiles: <!pkg.ghdl.nogcc>
-Depends: ghdl (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: ghdl (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
+	zlib1g-dev
 Description: VHDL compiler/simulator (GCC backend)
  GHDL is a compiler and simulator for VHDL, a Hardware Description Language.
  GHDL is not an interpreter: it allows you to analyse and elaborate sources to
@@ -74,7 +78,8 @@
 Package: ghdl-llvm
 Architecture: any
 Build-Profiles: <!pkg.ghdl.nollvm>
-Depends: ghdl (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: ghdl (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
+	zlib1g-dev
 Description: VHDL compiler/simulator (LLVM backend)
  GHDL is a compiler and simulator for VHDL, a Hardware Description Language.
  GHDL is not an interpreter: it allows you to analyse and elaborate sources to

=== debian/rules ===
--- 
+++ 
@@ -7,15 +7,15 @@
 #export DH_VERBOSE = 1
 
 include /usr/share/dpkg/default.mk
-include /usr/share/ada/debian_packaging-7.mk
+include /usr/share/ada/debian_packaging-8.mk
 
 # This variable is used in Makefile.in to adjust src/version.in
 export PKG_VERSION := $(DEB_VENDOR) $(DEB_VERSION)
 
 # These variables are used to find and unpack the gcc source
-GCC_DIR := /usr/src/gcc-7
-GCC_VER := 7
-VER_GCC := 7.3.0-dfsg
+GCC_DIR := /usr/src/gcc-8
+GCC_VER := 8
+GCC_TARBALL := $(notdir $(wildcard $(GCC_DIR)/gcc-*.tar.*))
 
 # Get parallel option to parallelize the gcc build specifically (Ada builds
 # are already parallelized by code included from debian_packaging-*.mk above).
@@ -77,12 +77,14 @@
 	@echo Configuring with gcc backend
 	@echo ------------------------------------------------------------
 	# gcc unpack sequence cribbed from gcc-7-cross debian/rules
+	set -e; \
 	if [ -n "$(WITH_GCC)" ]; then \
 		cd $(BUILDDIR)/gcc; \
-		ln -sf ${GCC_DIR}/gcc-${VER_GCC}.tar.xz gcc-${VER_GCC}.tar.xz; \
+		ln -sf ${GCC_DIR}/$(GCC_TARBALL) $(GCC_TARBALL); \
 		cp -a  ${GCC_DIR}/debian/ .; \
 		if [ -n "$$(grep -v '^\#' ${CURDIR}/debian/patches/gcc-${GCC_VER}/series)" ]; then \
-			QUILT_PATCHES=${CURDIR}/debian/patches/gcc-${GCC_VER} quilt push --quiltrc /dev/null -a; \
+			cp -n ${CURDIR}/debian/patches/gcc-${GCC_VER}/*.diff debian/patches/ ; \
+			cat ${CURDIR}/debian/patches/gcc-${GCC_VER}/series >> debian/patches/series ; \
 		fi; \
 		debian/rules patch; \
 		../../configure --srcdir=../.. --prefix=/usr \
